Package org.apache.nutch.util

## Class SegmentReaderUtil

- java.lang.Object
- - org.apache.nutch.util.SegmentReaderUtil

-     public class SegmentReaderUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SegmentReaderUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SequenceFile.Reader[]` | `getReaders​(Path dir, Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentReaderUtil

          public SegmentReaderUtil()

  - ### Method Detail

    - #### getReaders

          public static SequenceFile.Reader[] getReaders​(Path dir,
                                                         Configuration conf)
                                                  throws IOException

      Throws:
        `IOException`